FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000704FL53. Subsystem, Driver, Plugin, SPIpublic2015-07-02 09:082018-11-02 12:42
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformSystem zOSz/OSOS VersionV2R10
Product Version5.1.06 
Target Version5.1.19Fixed in Version5.1.19 
Summary0000704: Add a FLUC I/O subsystem to write transparent different formats for and to different platforms on z/OS
DescriptionWith the FLAM subsystem (based on the FLAM record interface) it is possible to read transparent normal host datasets and FLAMFILEs and to write FLAMFILEs transparent for the application by allocation the FLAM subsystem in the DD statment for the dataset.

If this will possible for the FLUC record interface you can transparent divert the output of an application, which was original written for example in EBCDIC IBM1141 to a FB80 dataset, in a GZIP file in code page CP1252 with 0x0d0a as record delimitter for binarary transfer to a Windows system or with the SSH support direct to the Windows system.

On the other side you can transparent read each supported kind of file format (a OpenPGP file from a UNIX syste) an present this to the application in as deticated record oriented dataset in EBCDIC.

Means your old fashion cobol application can transparent read and write each kind of file format which is supported by FLUC without any change inside of the application.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000888resolvedUlrich Schwab Support an application transparent file conversion, compression and encryption solution like z/OS-Subsys for open systems 

-  Notes
(0001202)
Falk Reichbott (administrator)
2018-11-02 12:42

Application transparent conversion (FB/VB, TXT, CSV, XML, ASCII/EBCDIC/UNICODE), compression (GZIP, BZIP2, XZ, ZIP), encryption (PGP), encoding (BASE64/32/16) and transfer (SSH) as part of the DD statement.

- Issue History
Date Modified Username Field Change
2015-07-02 09:08 Falk Reichbott New Issue
2015-07-02 09:08 Falk Reichbott Status new => assigned
2015-07-02 09:08 Falk Reichbott Assigned To => Falk Reichbott
2015-07-09 18:31 Falk Reichbott Summary Add a FLUC subsystem to write transparent dofferent formats for and to different platforms => Add a FLUC subsystem to write transparent different formats for and to different platforms
2015-07-09 18:31 Falk Reichbott Description Updated View Revisions
2016-11-21 15:52 Falk Reichbott Target Version 5.2 => 5.1.16
2017-03-03 17:33 Falk Reichbott Target Version 5.1.16 => 5.1.17
2017-11-10 09:36 Falk Reichbott Summary Add a FLUC subsystem to write transparent different formats for and to different platforms => Add a FLUC I/O subsystem to write transparent different formats for and to different platforms on z/OS
2017-11-10 09:36 Falk Reichbott Relationship added related to 0000888
2018-03-05 07:52 Falk Reichbott Target Version 5.1.17 => 5.1.18
2018-08-01 08:41 Falk Reichbott Target Version 5.1.18 => 5.1.19
2018-11-02 12:42 Falk Reichbott Note Added: 0001202
2018-11-02 12:42 Falk Reichbott Status assigned => resolved
2018-11-02 12:42 Falk Reichbott Fixed in Version => 5.1.19
2018-11-02 12:42 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker